package com.ff.base.enums;

import lombok.Getter;

/**
 * 字幕状态
 *
 * @author shi
 * @date 2024/11/21
 */
@Getter
public enum MarqueeStatus {
    PENDING_RELEASE(0, "待发布"),
    PENDING_EFFECT(1, "待生效"),
    ACTIVE(2, "生效中"),
    EXPIRED(3, "已过期"),
    CANCELLED(4, "已取消");
    private final Integer code;
    private final String description;

    MarqueeStatus(Integer code, String description) {
        this.code = code;
        this.description = description;
    }
}